> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/soccer-media/static-endpoints-restful/actions-api.md).

# Actions API

This REST API endpoint returns all match action packets in a single URL call (which are typically delivered in the 'Live Actions' websocket). Crucially these match action packets are delivered in the API call at the **END** of the fixture.

The data contained will include all team and player actions happening within the soccer match - this will include; goals, cards, shots and more. For a list of all match actions that are supported, as well as definitions of these actions, please see the following documentation page: [Live Actions](/soccer-media/stream-endpoints-websocket/live-actions.md).

## Endpoint URL

Legacy - <https://dde-api.data.imgarena.com/soccer/fixtures/{fixtureId}/actions> (Decommissioning on 30th Sept 2026)

**NEW** - <https://dde-api.data.srarena.io/soccer/fixtures/{fixtureId}/actions&#x20>;

N.B. – Please insert the relevant fixtureId returned from the fixtures API endpoint to return the data. The authentication token provided will be required to make a connection to this websocket endpoint.

## Polling Frequency

We recommend the following frequency for your REST requests to ensure that you have the most up-to-date information at all times:

| REST Endpoint                          | Frequency       | Description                                                          |
| -------------------------------------- | --------------- | -------------------------------------------------------------------- |
| `/soccer/fixtures/{fixtureId}/actions` | Once post match | Updated at the end of each match with the full list of match actions |

## Required Headers

| Key           | Value                                            |
| ------------- | ------------------------------------------------ |
| Accept        | application/vnd.imggaming.dde.api+json;version=1 |
| Content-Type  | application/json                                 |
| Authorization | Bearer eyvhaoudfgpdfgo\*                         |

## Response Model

Please see the live actions websocket 'Response Model' section to understand the actions, definitions. Below is also a small snippet of [the JSON schema](/soccer-media/stream-endpoints-websocket/live-actions.md#response-model).

```
[
    {
        "version": 1,
        "finished": false,
        "fixtureAction": {
            "period": 0,
            "actionId": "93c5bf4f-ab83-4b85-be67-68eb8fdb3349",
            "metadata": {
                "AwayTeamColour": "255, 0, 0",
                "HomeTeamColour": "5, 52, 13"
            },
            "sendType": "Confirmed",
            "clockTime": "00:00",
            "fixtureId": "b5a73497-acc3-499d-8241-ba278ebd5985",
            "timestamp": "2022-11-06T10:55:59.478077Z",
            "sendTypeId": 5,
            "fixtureSeqNum": 1,
            "timelineSequence": 1.0E-16,
            "fixtureActionType": "Team Colours",
            "fixtureActionTypeId": 2
        },
        "fixtureSummary": {
            "isTied": true,
            "periods": [],
            "awayTeamScore": 0,
            "currentPeriod": 1,
            "currentStatus": "Scheduled",
            "homeTeamScore": 0,
            "currentClockTime": "00:00"
        }
    },
    {
        "version": 1,
        "finished": false,
        "fixtureAction": {
            "period": 0,
            "actionId": "610ef202-f785-47f1-8067-2d7c3c63852e",
            "metadata": {
                "PitchConditions": {
                    "Quality": 2,
                    "Surface": 0
                },
                "WeatherConditions": {
                    "Rain": 2,
                    "Wind": 1,
                    "Temperature": 1
                }
            },
            "sendType": "Confirmed",
            "clockTime": "00:00",
            "fixtureId": "b5a73497-acc3-499d-8241-ba278ebd5985",
            "timestamp": "2022-11-06T10:56:19.050559Z",
            "sendTypeId": 5,
            "fixtureSeqNum": 2,
            "timelineSequence": 2.0E-16,
            "fixtureActionType": "Match Conditions",
            "fixtureActionTypeId": 1
        },
        "fixtureSummary": {
            "isTied": true,
            "periods": [],
            "awayTeamScore": 0,
            "currentPeriod": 1,
            "currentStatus": "Scheduled",
            "homeTeamScore": 0,
            "currentClockTime": "00:00"
        }
    },
    {
        "version": 1,
        "finished": false,
        "fixtureAction": {
            "period": 0,
            "actionId": "60e2ca99-fc6a-41cc-9fe3-a858229fb6fc",
            "metadata": {
                "Latitude": 55.222702,
                "Longitude": 11.766508999999997
            },
            "sendType": "Confirmed",
            "clockTime": "00:00",
            "fixtureId": "b5a73497-acc3-499d-8241-ba278ebd5985",
            "timestamp": "2022-11-06T10:56:30.478313Z",
            "sendTypeId": 5,
            "fixtureSeqNum": 3,
            "timelineSequence": 3.0E-16,
            "fixtureActionType": "Device Location",
            "fixtureActionTypeId": 19
        },
        "fixtureSummary": {
            "isTied": true,
            "periods": [],
            "awayTeamScore": 0,
            "currentPeriod": 1,
            "currentStatus": "Scheduled",
            "homeTeamScore": 0,
            "currentClockTime": "00:00"
        }
    },
    {
        "version": 1,
        "finished": false,
        "fixtureAction": {
            "team": {
                "id": "9480167c-e438-478e-ac14-3a77ee83d37c",
                "name": "Naestved Boldklub"
            },
            "period": 0,
            "actionId": "ef5ce8d4-1b83-4083-aaf9-f508fb532fa7",
            "metadata": {
                "TeamId": "9480167c-e438-478e-ac14-3a77ee83d37c",
                "Substitutes": [
                    {
                        "Id": "a45b0749-5768-4d8f-a5d4-4aeb9aad0a38",
                        "FullName": "Filip Mellbin",
                        "LastName": "Mellbin",
                        "FirstName": "Filip",
                        "ShirtNumber": "_18"
                    },
                    {
                        "Id": "99a8f74e-e1e1-4b7c-ab64-33ed95182432",
                        "FullName": "Mark Pedersen",
                        "LastName": "Pedersen",
                        "FirstName": "Mark",
                        "ShirtNumber": "_20"
                    },
                    {
                        "Id": "fd8f90d6-9f75-448f-ab65-827685c77b8e",
                        "FullName": "Elias Olsson",
                        "LastName": "Olsson",
                        "FirstName": "Elias",
                        "ShirtNumber": "4"
                    },
                    {
                        "Id": "fba76d52-4592-47bf-b858-52e341f69583",
                        "FullName": " Carl Cordua",
                        "LastName": "Carl Cordua",
                        "FirstName": null,
                        "ShirtNumber": "12"
                    },
                    {
                        "Id": "30791aa0-d145-481c-bc04-2884289662aa",
                        "FullName": " Marius Christiansen",
                        "LastName": "Marius Christiansen",
                        "FirstName": null,
                        "ShirtNumber": "30"
                    },
                    {
                        "Id": "dd7e6605-f436-49fa-b5a9-0cdd35240b92",
                        "FullName": "Mousa Baba Sangare",
                        "LastName": "Sangare",
                        "FirstName": "Mousa Baba",
                        "ShirtNumber": "34"
                    },
                    {
                        "Id": "02260333-6e19-4588-92e2-bc352f64ef2d",
                        "FullName": "Brooklyn Genesini",
                        "LastName": "Genesini",
                        "FirstName": "Brooklyn",
                        "ShirtNumber": "13"
                    }
                ],
                "StartingLineup": [
                    {
                        "Id": "b2d692e0-d667-4f2c-bd2a-6fd276a95ea8",
                        "FullName": " Magnus Häuser",
                        "LastName": "Magnus Häuser",
                        "FirstName": null,
                        "ShirtNumber": "21"
                    },
                    {
                        "Id": "a686961b-edc5-4902-bfc3-c3c6877e0a9a",
                        "FullName": " Mads Freitag",
                        "LastName": "Mads Freitag",
                        "FirstName": null,
                        "ShirtNumber": "29"
                    },
                    {
                        "Id": "8d589467-025c-4748-854d-9c067917cb14",
                        "FullName": "Souheib Dhaflaoui",
                        "LastName": "Dhaflaoui",
                        "FirstName": "Souheib",
                        "ShirtNumber": "10"
                    },
                    {
                        "Id": "405e2a5c-d191-4c84-9765-b2acb0a0348d",
                        "FullName": " Frederik Christensen",
                        "LastName": "Frederik Christensen",
                        "FirstName": null,
                        "ShirtNumber": "9"
                    },
                    {
                        "Id": "e9f94f21-ee14-4033-8295-c68213c16c48",
                        "FullName": " Niklas Dannevang",
                        "LastName": "Niklas Dannevang",
                        "FirstName": null,
                        "ShirtNumber": "1"
                    },
                    {
                        "Id": "1beee924-c577-44ad-8ad2-f0bc6bc7be1a",
                        "FullName": " Jesper Christiansen",
                        "LastName": "Jesper Christiansen",
                        "FirstName": null,
                        "ShirtNumber": "22"
                    },
                    {
                        "Id": "19918ca1-193f-402c-b1f7-2cd865ec77e0",
                        "FullName": " Christian Enemark",
                        "LastName": "Christian Enemark",
                        "FirstName": null,
                        "ShirtNumber": "6"
                    },
                    {
                        "Id": "69b7cc39-6a53-479f-bb4b-8e721d1f1aea",
                        "FullName": " Ludvig Henriksen",
                        "LastName": "Ludvig Henriksen",
                        "FirstName": null,
                        "ShirtNumber": "19"
                    },
                    {
                        "Id": "ba1b1222-c659-4413-8e40-e2acb089b591",
                        "FullName": " Mark Kongstedt",
                        "LastName": "Mark Kongstedt",
                        "FirstName": null,
                        "ShirtNumber": "8"
                    },
                    {
                        "Id": "46428e5e-6ba4-411e-9311-adaf465d0ce3",
                        "FullName": " Mathias Höst",
                        "LastName": "Mathias Höst",
                        "FirstName": null,
                        "ShirtNumber": "5"
                    },
                    {
                        "Id": "277018d4-32ec-435f-b5d8-bef748c3c2a4",
                        "FullName": "Mads Agger",
                        "LastName": "Agger",
                        "FirstName": "Mads",
                        "ShirtNumber": "25"
                    }
                ]
            },
            "sendType": "Confirmed",
            "clockTime": "00:00",
            "fixtureId": "b5a73497-acc3-499d-8241-ba278ebd5985",
            "timestamp": "2022-11-06T10:59:38.082471Z",
            "sendTypeId": 5,
            "fixtureSeqNum": 4,
            "timelineSequence": 4.0E-16,
            "fixtureActionType": "Lineups",
            "fixtureActionTypeId": 3
        },
        "fixtureSummary": {
            "isTied": true,
            "periods": [],
            "awayTeamScore": 0,
            "currentPeriod": 1,
            "currentStatus": "LineUps",
            "homeTeamScore": 0,
            "currentClockTime": "00:00"
        }
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sportradar.com/soccer-media/static-endpoints-restful/actions-api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
